## ros-foxy-rviz-rendering-tests 8.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_rendering_tests)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

# Tests currently only run on OS X @ OSRF jenkins
# Enable on Linux by providing a display, enable on Windows via EnableDisplayTests=True
option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")

if(DEFINED ENV{DISPLAY})
  set(DISPLAYPRESENT TRUE)
endif()

if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "True")
  message(STATUS "Enabling tests requiring a display")
else()
  set(SKIP_DISPLAY_TESTS "SKIP_TEST")
endif()

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  # do find_package(rviz_ogre_vendor) first to make sure the custom OGRE is found
  find_package(rviz_ogre_vendor REQUIRED)
  find_package(Qt5 REQUIRED COMPONENTS Widgets)
  find_package(rviz_rendering REQUIRED)
  find_package(resource_retriever REQUIRED)

  # Adds shallow folders containing ogre_media such as meshes and scripts to Rviz
  # so that they can be found at runtime. Requires rviz_rendering.
  register_rviz_ogre_media_exports(
    DIRECTORIES
    "ogre_media_resources/scripts"
    "ogre_media_resources/meshes"
  )

  install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/ogre_media_resources/test_meshes"
    DESTINATION "share/rviz_rendering_tests"
    USE_SOURCE_PERMISSIONS)

  # TODO(Martin-Idel-SI): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_index_cpp REQUIRED)

  ament_add_gmock(mesh_loader_test_target
    test/mesh_loader_test.cpp
    test/ogre_testing_environment.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET mesh_loader_test_target)
    target_link_libraries(mesh_loader_test_target
      rviz_ogre_vendor::OgreMain
      rviz_rendering::rviz_rendering
      resource_retriever::resource_retriever
    )
  endif()

  ament_add_gtest(test_rviz_rendering_tests
    test/test_rviz_ogre_media_exports.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET test_rviz_rendering_tests)
    target_include_directories(test_rviz_rendering_tests
      PUBLIC src/rviz_rendering_tests)
    target_link_libraries(test_rviz_rendering_tests
      ament_index_cpp::ament_index_cpp)
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-rviz-rendering-tests (8.2.8-1focal) focal; urgency=high

  * add test to ensure binary STL files from SOLIDWORKS get imported without a warning (#917 <https://github.com/ros2/rviz/issues/917>) (#933 <https://github.com/ros2/rviz/issues/933>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.2.7-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.2.6-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Feb 2022 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.2.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Oct 2021 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.2.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.2.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.2.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.2.1-1focal) focal; urgency=high

  * Update maintainer list (#619 <https://github.com/ros2/rviz/issues/619>)
  * [foxy-backport] fast forward of ros2 (default) to foxy (#570 <https://github.com/ros2/rviz/issues/570>)
    * restore compatibility with older Qt versions (#561 <https://github.com/ros2/rviz/issues/561>)
    * Suppress warnings when building with older Qt versions. (#562 <https://github.com/ros2/rviz/issues/562>)
    * Don't try to moc generate env_config.hpp file. (#550 <https://github.com/ros2/rviz/issues/550>)
    This removes one more warning from rviz_common builds.
    * rewrite hack to avoid CMake warning with assimp 5.0.1 and older, apply cross platform (#565 <https://github.com/ros2/rviz/issues/565>)
    * Use dedicated TransformListener thread (#551 <https://github.com/ros2/rviz/issues/551>)
    * restore alphabetical include order (#563 <https://github.com/ros2/rviz/issues/563>)
    * Don't install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Michael Jeronimo, William Woodall, Dirk Thomas, Chris Lalancette, ymd-stella, Karsten Knese

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.2.0-1focal) focal; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.0.2-1focal) focal; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Thu, 21 May 2020 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rviz-rendering-tests (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Fixed the build when included as a sub-project. (#475 <https://github.com/ros2/rviz/issues/475>)
  * Contributors: Dan Rose, Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Fri, 01 May 2020 00:00:00 -0000

ros-foxy-rviz-rendering-tests (7.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-rviz-rendering-tests (7.0.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rviz-rendering-tests (7.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-foxy-rviz-rendering-tests (7.0.0-1focal) focal; urgency=high

  * Fix assert in mesh_loader_test (#446 <https://github.com/ros2/rviz/issues/446>)
  * Remove non-package from ament_target_dependencies() (#428 <https://github.com/ros2/rviz/issues/428>)
  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Fix STL loader (#410 <https://github.com/ros2/rviz/issues/410>)
  * Contributors: Hunter L. Allen, Martin Idel, Shane Loretz, Zachary Michaels

 -- William Woodall <william@osrfoundation.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-foxy-rviz-rendering-tests (6.1.1-1focal) focal; urgency=high

  * Updated test to match changes from #404 <https://github.com/ros2/rviz/issues/404>
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-foxy-rviz-rendering-tests (6.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 00:00:00 -0000

ros-foxy-rviz-rendering-tests (6.0.0-1focal) focal; urgency=high





=== debian/control ===
Source: ros-foxy-rviz-rendering-tests
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-cppcheck <!nocheck>, ros-foxy-ament-cmake-cpplint <!nocheck>, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-lint-cmake <!nocheck>, ros-foxy-ament-cmake-uncrustify <!nocheck>, ros-foxy-ament-index-cpp <!nocheck>, ros-foxy-resource-retriever, ros-foxy-rviz-rendering, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rviz-rendering-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-resource-retriever, ros-foxy-rviz-rendering, ros-foxy-ros-workspace
Description: Example plugin for RViz - documents and tests RViz plugin development

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rviz-rendering-tests//opt/ros/foxy/lib/:$(CURDIR)/debian/ros-foxy-rviz-rendering-tests//opt/ros/foxy/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-foxy-rviz-rendering-tests//opt/ros/foxy/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-foxy-rviz-rendering-tests//opt/ros/foxy/opt/rviz_yaml_cpp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
